<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_0f939e9a0c1b17527bc" . "e221f42ee827e" => base64_decode("IEdST1VQIEJZIHVzZXJ" . "faWQpIHQ="), "_c5aeb46d4987" . "229cd0033323a" . "7f86836" => base64_decode("b2JqZWN0cw=" . "="), "_d9e86995f0bc621" . "9b3823d842232615" . "3" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZW" . "N0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVf" . "b2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZW" . "dhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_07afa3e4c6840a90ca78d" . "b3521dfbe2b" => base64_decode("c3R" . "kQ2" . "xhc" . "3M="), "aggrega" . "tion" => base64_decode("YWdn" . "cmVn" . "YXRp" . "b24="), "_79a5c6862" . "da55a81bbb" . "a54a4e91b2" . "e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZ" . "WN0cyBERVNDLCB1bmlxdWVfb2JqZWN0cyBERVNDLC" . "B1c2VyX2lkIEFTQw=="), "use" . "r_i" . "d" => base64_decode("dXNlcl" . "9pZA=="), "_ead9f7746c5d5e2801ce5704837fb63" . "b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50Om" . "FnZ3JlZ2F0aW9uIEFORCA="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d9e86995f0bc6219b3823d8" . "422326153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_79a5c6862da55a81" . "bbba54a4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["aggregati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["user_i" . "d"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c5aeb46d4987229cd0033323" . "a7f86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_ead9f7746c5d5e2801ce" . "5704837fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0f939e9a0c1b1" . "7527bce221f42e" . "e827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_07afa3e4c6840a90ca78db3521d" . "fbe2b"];
    }
}